"""v0.1.0_feature/#136

Revision ID: 4884346fad46
Revises: e91c3d19e99f
Create Date: 2021-06-07 11:50:55.188253

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = '4884346fad46'
down_revision = 'e91c3d19e99f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('update_token',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('issuer_address', sa.String(length=42), nullable=True),
    sa.Column('type', sa.String(length=40), nullable=False),
    sa.Column('arguments', sa.JSON(), nullable=False),
    sa.Column('status', sa.Integer(), nullable=False),
    sa.Column('trigger', sa.String(length=40), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_update_token_token_address'), 'update_token', ['token_address'], unique=False, schema=get_db_schema())
    op.add_column('token', sa.Column('token_status', sa.Integer(), nullable=True), schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('token', 'token_status', schema=get_db_schema())
    op.drop_index(op.f('ix_update_token_token_address'), table_name='update_token', schema=get_db_schema())
    op.drop_table('update_token', schema=get_db_schema())
    # ### end Alembic commands ###
