"""v22.3.0_feature/#276

Revision ID: ec0ac096e294
Revises: b1f9da1daeb3
Create Date: 2022-03-18 17:21:40.418155

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = 'ec0ac096e294'
down_revision = 'b1f9da1daeb3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('e2e_messaging_account',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('account_address', sa.String(length=42), nullable=False),
    sa.Column('keyfile', sa.JSON(), nullable=True),
    sa.Column('eoa_password', sa.String(length=2000), nullable=True),
    sa.Column('rsa_key_generate_interval', sa.Integer(), nullable=True),
    sa.Column('rsa_generation', sa.Integer(), nullable=True),
    sa.Column('is_deleted', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('account_address')
    , schema=get_db_schema())
    op.create_table('e2e_messaging_account_rsa_key',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('transaction_hash', sa.String(length=66), nullable=True),
    sa.Column('account_address', sa.String(length=42), nullable=True),
    sa.Column('rsa_private_key', sa.String(length=4000), nullable=True),
    sa.Column('rsa_public_key', sa.String(length=1000), nullable=True),
    sa.Column('rsa_passphrase', sa.String(length=2000), nullable=True),
    sa.Column('block_timestamp', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_e2e_messaging_account_rsa_key_account_address'), 'e2e_messaging_account_rsa_key', ['account_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_e2e_messaging_account_rsa_key_transaction_hash'), 'e2e_messaging_account_rsa_key', ['transaction_hash'], unique=False, schema=get_db_schema())
    op.create_table('idx_e2e_messaging',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('transaction_hash', sa.String(length=66), nullable=True),
    sa.Column('from_address', sa.String(length=42), nullable=True),
    sa.Column('to_address', sa.String(length=42), nullable=True),
    sa.Column('type', sa.String(length=50), nullable=False),
    sa.Column('message', sa.String(length=5000), nullable=False),
    sa.Column('send_timestamp', sa.DateTime(), nullable=True),
    sa.Column('block_timestamp', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_idx_e2e_messaging_from_address'), 'idx_e2e_messaging', ['from_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_e2e_messaging_to_address'), 'idx_e2e_messaging', ['to_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_e2e_messaging_transaction_hash'), 'idx_e2e_messaging', ['transaction_hash'], unique=False, schema=get_db_schema())
    op.create_table('idx_e2e_messaging_block_number',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('latest_block_number', sa.BigInteger(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('idx_e2e_messaging_block_number', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_e2e_messaging_transaction_hash'), table_name='idx_e2e_messaging', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_e2e_messaging_to_address'), table_name='idx_e2e_messaging', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_e2e_messaging_from_address'), table_name='idx_e2e_messaging', schema=get_db_schema())
    op.drop_table('idx_e2e_messaging', schema=get_db_schema())
    op.drop_index(op.f('ix_e2e_messaging_account_rsa_key_transaction_hash'), table_name='e2e_messaging_account_rsa_key', schema=get_db_schema())
    op.drop_index(op.f('ix_e2e_messaging_account_rsa_key_account_address'), table_name='e2e_messaging_account_rsa_key', schema=get_db_schema())
    op.drop_table('e2e_messaging_account_rsa_key', schema=get_db_schema())
    op.drop_table('e2e_messaging_account', schema=get_db_schema())
    # ### end Alembic commands ###
